Debian Bug report logs - #283916
libwww-perl: double quote is missing from man page

version graph

Package: libwww-perl; Maintainer for libwww-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libwww-perl is src:libwww-perl.

Reported by: kissg@cdata.hu

Date: Thu, 2 Dec 2004 10:03:03 UTC

Severity: minor

Found in version 5.800-2

Fixed in version libwww-perl/5.803-1

Done: Jay Bonci <jaybonci@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jay Bonci <jaybonci@debian.org>:
Bug#283916; Package libwww-perl. Full text and rfc822 format available.

Acknowledgement sent to kissg@cdata.hu:
New Bug report received and forwarded. Copy sent to Jay Bonci <jaybonci@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Gabor Kiss <kissg@cdata.hu>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libwww-perl: double quote is missing from man page
Date: Thu, 02 Dec 2004 10:54:13 +0100
Package: libwww-perl
Version: 5.800-2
Severity: minor


Net::HTTP(3pm) writes:

SYNOPSIS
	use Net::HTTP;
	my $s = Net::HTTP->new(Host => "www.perl.com) || die $@;

www.perl.com must be quoted.

Gabor



-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (101, 'testing')
Architecture: i386 (i686)
Kernel: Linux 2.4.27
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Jay Bonci <jaybonci@debian.org>:
Bug#283916; Package libwww-perl. Full text and rfc822 format available.

Acknowledgement sent to Jay Bonci <jay@bonci.com>:
Extra info received and forwarded to list. Copy sent to Jay Bonci <jaybonci@debian.org>. Full text and rfc822 format available.

Message #10 received at 283916@bugs.debian.org (full text, mbox):

From: Jay Bonci <jay@bonci.com>
To: libwww@perl.org
Cc: 286775@bugs.debian.org, 283916@bugs.debian.org
Subject: Minor bugs in libwww-perl-5.803 fixed in Debian
Date: Tue, 28 Dec 2004 23:29:40 -0500
Hello everyone. I've taken over maintenance of libwww-perl inside of
debian (from Michael Dorman).  With the release coming soon, I've
updated into unstable/ the newest version of libwww-perl from CPAN. It
is the same as the distribution, with two very small bugfixes, which you
may wish to roll into the next version:

I'd attach patches, but these are both one-character fixes

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=283916

Fix: lib/Net/HTTP (line 35):
my $s = Net::HTTP->new(Host => "www.perl.com") || die $@;

(Fully quotes www.perl.com in the example)


http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=286775

Fix: lib/Net/HTTP/Methods.pm (line 432):
$chunk_len =~ s/\;.*//;  # ignore potential chunk parameters

(Escapes the semi)

I know these are incredibly minor, but thanks for taking the time to
look at them.

		--Jay Bonci
		jaybonci@debian.org

-- 
Jay Bonci <jay@bonci.com>




Reply sent to Jay Bonci <jaybonci@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to kissg@cdata.hu:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 283916-close@bugs.debian.org (full text, mbox):

From: Jay Bonci <jaybonci@debian.org>
To: 283916-close@bugs.debian.org
Subject: Bug#283916: fixed in libwww-perl 5.803-1
Date: Tue, 28 Dec 2004 23:47:12 -0500
Source: libwww-perl
Source-Version: 5.803-1

We believe that the bug you reported is fixed in the latest version of
libwww-perl, which is due to be installed in the Debian FTP archive:

libwww-perl_5.803-1.diff.gz
  to pool/main/libw/libwww-perl/libwww-perl_5.803-1.diff.gz
libwww-perl_5.803-1.dsc
  to pool/main/libw/libwww-perl/libwww-perl_5.803-1.dsc
libwww-perl_5.803-1_all.deb
  to pool/main/libw/libwww-perl/libwww-perl_5.803-1_all.deb
libwww-perl_5.803.orig.tar.gz
  to pool/main/libw/libwww-perl/libwww-perl_5.803.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 283916@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jay Bonci <jaybonci@debian.org> (supplier of updated libwww-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 28 Dec 2004 21:55:08 -0500
Source: libwww-perl
Binary: libwww-perl
Architecture: source all
Version: 5.803-1
Distribution: unstable
Urgency: low
Maintainer: Jay Bonci <jaybonci@debian.org>
Changed-By: Jay Bonci <jaybonci@debian.org>
Description: 
 libwww-perl - WWW client/server library for Perl (aka LWP)
Closes: 283916 286775
Changes: 
 libwww-perl (5.803-1) unstable; urgency=low
 .
   * New upstream version
   * Methods.pm: Fixes typo: Quotes ; in regex. (Closes: #286775)
   * lib/Net/HTTP.pm: Fixes typo in manpage (Closes: #283916)
Files: 
 7b893306236546941f78fd68ad5c9878 772 perl optional libwww-perl_5.803-1.dsc
 3345d5f15a4f42350847254141725c8f 234773 perl optional libwww-perl_5.803.orig.tar.gz
 b9d9edda70aebd8a88fba721463357e5 5141 perl optional libwww-perl_5.803-1.diff.gz
 749f42c9462b7d675f28f8d1e690331f 358096 perl optional libwww-perl_5.803-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFB0jHcZNh5D+C4st4RAtibAJ9Q1EzuUBnjJPC1zRkzNbgUIHB+BQCeLnaB
XMd4wsZDsN6aeQJO+ge0U6M=
=pxrN
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Jay Bonci <jaybonci@debian.org>:
Bug#283916; Package libwww-perl. Full text and rfc822 format available.

Acknowledgement sent to Alexey Tourbin <at@altlinux.ru>:
Extra info received and forwarded to list. Copy sent to Jay Bonci <jaybonci@debian.org>. Full text and rfc822 format available.

Message #20 received at 283916@bugs.debian.org (full text, mbox):

From: Alexey Tourbin <at@altlinux.ru>
To: Jay Bonci <jay@bonci.com>
Cc: libwww@perl.org, 286775@bugs.debian.org, 283916@bugs.debian.org
Subject: Re: Minor bugs in libwww-perl-5.803 fixed in Debian
Date: Wed, 29 Dec 2004 19:11:49 +0300
[Message part 1 (text/plain, inline)]
Hello,

On Tue, Dec 28, 2004 at 11:29:40PM -0500, Jay Bonci wrote:
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=286775
> 
> Fix: lib/Net/HTTP/Methods.pm (line 432):
> $chunk_len =~ s/\;.*//;  # ignore potential chunk parameters
> 
> (Escapes the semi)

What's wrong with semicolon not being escaped?
Please explain.

> -- 
> Jay Bonci <jay@bonci.com>

-- 
Alexey Tourbin
ALT Linux Team
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jay Bonci <jaybonci@debian.org>:
Bug#283916; Package libwww-perl. Full text and rfc822 format available.

Acknowledgement sent to Gisle Aas <gisle@ActiveState.com>:
Extra info received and forwarded to list. Copy sent to Jay Bonci <jaybonci@debian.org>. Full text and rfc822 format available.

Message #25 received at 283916@bugs.debian.org (full text, mbox):

From: Gisle Aas <gisle@ActiveState.com>
To: Jay Bonci <jay@bonci.com>
Cc: libwww@perl.org, 286775@bugs.debian.org, 283916@bugs.debian.org
Subject: Re: Minor bugs in libwww-perl-5.803 fixed in Debian
Date: 30 Dec 2004 04:32:59 -0800
Jay Bonci <jay@bonci.com> writes:

> Hello everyone. I've taken over maintenance of libwww-perl inside of
> debian (from Michael Dorman).  With the release coming soon, I've
> updated into unstable/ the newest version of libwww-perl from CPAN. It
> is the same as the distribution, with two very small bugfixes, which you
> may wish to roll into the next version:
> 
> I'd attach patches, but these are both one-character fixes
> 
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=283916
> 
> Fix: lib/Net/HTTP (line 35):
> my $s = Net::HTTP->new(Host => "www.perl.com") || die $@;
> 
> (Fully quotes www.perl.com in the example)

Applied.

> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=286775
> 
> Fix: lib/Net/HTTP/Methods.pm (line 432):
> $chunk_len =~ s/\;.*//;  # ignore potential chunk parameters
> 
> (Escapes the semi)

This fix is bogus.  The semi does not make any difference, but I've
now applied the following patch that I think avoids the warnings shown
in that bug report.

Regards,
Gisle


Index: lib/Net/HTTP/Methods.pm
===================================================================
RCS file: /cvsroot/libwww-perl/lwp5/lib/Net/HTTP/Methods.pm,v
retrieving revision 1.17
retrieving revision 1.18
diff -u -p -u -r1.17 -r1.18
--- lib/Net/HTTP/Methods.pm	15 Nov 2004 14:16:07 -0000	1.17
+++ lib/Net/HTTP/Methods.pm	30 Dec 2004 12:28:14 -0000	1.18
@@ -426,8 +426,8 @@ sub read_entity_body {
 		die "Missing newline after chunk data: '$line'"
 		    if !defined($line) || $line ne "";
 		$line = my_readline($self);
-		die "EOF when chunk header expected" unless defined($line);
 	    }
+	    die "EOF when chunk header expected" unless defined($line);
 	    my $chunk_len = $line;
 	    $chunk_len =~ s/;.*//;  # ignore potential chunk parameters
 	    unless ($chunk_len =~ /^([\da-fA-F]+)\s*$/) {



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 22:00:12 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.